<template>
  <DLogin :options="options" />
</template>

<script>
import { defineComponent } from 'vue';
import { useStore } from "vuex";
import { useQuasar } from 'quasar';

import DLogin from "dasmap/basic/Login.vue";
//~ import DLogin from "dasmap/eagles/letgo/Login.vue";

var Asfa = function() {
  
  var Props = function() {
    return {
        options: {
          default: function() {
              return {
                  icon : "login",
                  showLabel : true,
                  showDialog : false,
                  route : "/",
                  //~ noDialog : true,
              };
          },
          type: Object
      },
    };
  };
  
  var Data = function() {
    return {
      store : useStore(),
    };
  };
  
  var Computed = function() {
    
    let baseUrl = function() {
      return DataSource.api.baseUrl;
    };
    
    let hostUrl = function() {
      return DataSource.api.hostUrl;
    };
    
    let darkStatus = function() {
      return this.$q.dark.isActive;
    };
        
    return {
      baseUrl,
      hostUrl,
      darkStatus,
    };
  };
  
  var Watch = function() {
  
    let $route = function(newVal) {
      let $a = this;
    };
    
    return {
      $route,
    };
  };
  
  var Methods = function() {
    
    let about = function() {
      console.log("About Asfa");
    };
    
    return {
      about,
    };
  };
  
  var Mounted = function() {
    let $a = this;
    
  };
  
  var Setup = function(props) {
    
  };
  
  var BeforeUnmount = function() {
    
  };
  
  var Component = function() { 
    
    return {
      // setup this component name
      name : "Login",
      // addition functions here
      
      // setup used components here
      components : {
        DLogin,
      },
      props : Props(),
      data : Data,
      computed : Computed(),
      watch : Watch(),
      methods : Methods(),
      mounted : Mounted,
      setup : Setup,
      beforeUnmount : BeforeUnmount,
    }
  };
  
  return Component();
};

export default defineComponent(Asfa());
</script>

<style>
    
</style>
